from dqc_wrapper import checker
import os
import configparser

def test_nc():
    this_dir = os.path.dirname(__file__)
    conf_file = os.path.join(this_dir,  "../conf/conf_test00_3.ini")
    checker.main([conf_file])
    config_input = configparser.ConfigParser()
    config_input.read(conf_file)
    config_output = configparser.ConfigParser()
    config_output.read(os.path.join(config_input["general"]["res_dir"],
                                    "conf_test00_3.ini"))
    assert config_output["file_format_result"]["res"] == "ok"

def test_zip():
    pass

def test_grib():
    this_dir = os.path.dirname(__file__)
    conf_file = os.path.join(this_dir, "../conf/conf_test00_6.ini")
    checker.main([conf_file])
    config_input = configparser.ConfigParser()
    config_input.read(conf_file)
    config_output = configparser.ConfigParser()
    config_output.read(os.path.join(config_input["general"]["res_dir"],
                                    "conf_test00_6.ini"))
    assert config_output["file_format_result"]["res"] == "ok"

def test_fail():
    this_dir = os.path.dirname(__file__)
    conf_file = os.path.join(this_dir,  "../conf/conf_test00_5.ini")
    checker.main([conf_file])
    config_input = configparser.ConfigParser()
    config_input.read(conf_file)
    config_output = configparser.ConfigParser()
    config_output.read(os.path.join(config_input["general"]["res_dir"],
                                    "conf_test00_5.ini"))
    assert config_output["file_format_result"]["res"] == "err"
